Changes/archive/2007

Материал из ALT Linux Wiki
Перейти к: навигация, поиск


2007[править]

Декабрь[править]

31.12.2007

Вследствие недосмотра мейнтейнера в Сизифе оказался пакет

gnome-games-2.20.0.1

с нерабочим %preun-скриптом. Что вызывает проблемы при обновлении/удалении пакета gnome-games-common (версии 2.20.0.1-alt1). В случае, если у Вас таковой

установлен, для удаления потребуется воспользоваться `rpm -e --noscripts gnome-games-common`. (При dist-upgrade будет поставлен новый gnome-games-common (версии 2.20.2-alt1, в которой этот баг исправлен), но не удалён старый.)

Ноябрь[править]

21.11.2007

Мейнтейнер КДЕ предупреждает, что с версии

kde-settings

> 3.5.8-alt1 и

kdebase

> 3.5.8-alt2 изменились некоторые умолчательныенастройки в конфигурации рабочего стола и панели. Вместо иконок устройств на рабочем столе -- апплет сменных устройств на панели.

14.11.2007

Предупреждают об отправлении в сизиф

util-linux

-ng.

Октябрь[править]

17.10.2007

Лучше избежать обновления до

libgtk+2-2.12.0-alt1

-- вылазят неприятности, исправленные в 2.12.0-alt2.

Сентябрь[править]

25.09.2007

Объявлено, что

kernel-modules-nvidia-legacy

больше нет -- модули внесены в kernel-modules-nvidia. Хорошо бы потестировать.

24.09.2007

В Sisyphus отправлена библиотека

libgnomekbd-2.20.0-alt1

. После её обновления и до перезапуска X.Org перестанет работать индикатор раскладки в GNOME. Другими словами, после обновления этой библиотеки рекомендуется перезапустить иксы.

18.09.2007

Майнтейнер

dbmail

предупреждает, что версия 2.2.6 -- официально нерабочая (upstream), а сборка не прошла обычного предварительного тестирования. (на следующий день ушла 2.2.7RC1)

14.09.2007

В

xorg-x11-server-1.4-alt2

оказался по умолчанию включен Composite, с которым не живёт (совсем)

wdm

и глючит (дико)

WindowMaker

. Для отключения необходимо явное указание в /etc/X11/xorg.conf следующего (майнтейнер в курсе, грозится исправить за xorg'овских):

Section "Extensions"
        Option  "Composite"     "false"
EndSection

Если используется драйвер "nvidia" и отваливается с сообщением об изменении версии ABI, в качестве временного workaround можно добавить -ignoreABI в /etc/X11/xinit/xserverrc (для gdm -- в /etc/X11/gdm/custom.conf) -- или Option "IgnoreABI" "true" в ServerLayout.

13.09.2007

После небольшой задержки на нас свалился новый Сизиф, в котором сломалось переключение раскладок. Мантейнер xorg сообщил, что всё понял, и надо ждать xorg-x11-server-1.4.

04.09.2007

В sisyphus@ предупреждают, что

/etc/X11/fs/config

переезжает из setup в xorg-x11-xfs и лучше на всякий сделать резервную копию этого файла.

Август[править]

31.08.2007

Майнтейнер

xorg

, оказывается, предупреждал, что вместо FontPath "unix/:-1" в /etc/X11/xorg.conf после производимого изменения положено FontPath "catalogue:/etc/X11/fontpath.d". (Предложение вообще удалить опцию FontPath вместе с включающей её секцией Files может сработать или нет в зависимости от того, насколько нов пакет

xorg-x11-server

у Вас.) Если иксы не стартуют -- придётся править руками :-/

Апрель[править]

10.04.2007

Igor Zubkov предупредил что после обновления с любой старой версии openbox до 3.3.1-alt3 или выше слетает меню. Надо сделать следущее что бы вернуть: cd / cd .config/ mv openbox openbox.old Конечно, эти команды надо запускать при не запущем openbox.

Mike Shigorin пожаловался что свежее ядро 2.6.18-ovz-smp-alt13 на x86_64 сломано. Помог откат на 2.6.18-ovz-smp-alt12. На i586 не воспроизводится. mike: у меня и на x86_64 уже не воспроизводится, хотя сегодня же довольно swsoft спешно выкатили новый openvz patch

05.04.2007

Дмитрий Левин попросил морально подготовиться к обновлению

OpenSSH

с 3.6.1p2-alt10 до 4.6p1-alt1. Не прошло и 4-х лет, изменений немало. Из замеченного: ssh -X/-Y

01.04.2007

Сергей Иванов предупредил, что инитскрипт

dovecot

, отправленного в incoming, содержит ошибку, которая приводит к ложному сообщению о неудаче при каждом старте dovecot, если сертификаты уже сгенерированы.

Март[править]

30.03.2007

Sergey Vlasov с выражением зачитал --lastchange

udev-108-alt1

. При заметных внутренних изменениях внешних проявлений вроде бы минимум.

03.03.2007

Sergey Vlasov сообщает (1, 2), что для обновления пакета

dev

, при установленном и запущенном

udevd

надо дать команду service udevd umount (dev-3.3.1-alt18 подскажет то же самое).

02.03.2007

Alexey Shabalin сообщает о наличии проблем в

perl-libnet

, что чревато при использовании

amavisd-new

("получаемые письма странно перекодируются"). Не обновляйте perl-libnet до 1.20-alt1 #10976

Февраль[править]

16.02.2007

ldv@ сообщает, что между обновлением

startup

и

udev

при нежелании видеть мусор при загрузке может захотеться временно добавить в параметры ядра noudev.

08.02.2007

Сергей Власов предвещает скорую смерть

hotplug

как класса, заменяя его более функциональным

udev

. Версия 105 несет массу нововведений и улучшений. Будьте бдительны. Особенно это коснется hotplug'овского blacklist'а.


Январь[править]

30.01.2007

Сергей Власов анонсировал переезд ALT Linux с варианта modutils имени ApplianceWare (с добавленной поддержкой Linux 2.6) на "майнстримовый"

module-init-tools

. Несмотря на массу предпринятых предосторожностей, следует ознакомиться с этим сообщением.

24.01.2007

В связи с выносом некоторых модулей GNOME VFS в отдельные пакеты при обновлении пакета

gnome-vfs

следует также доустановить следующие пакеты:

* если вы пользуетесь Windows shares (протокол SMB/CIFS), вам следует установить пакет gnome-vfs-module-smb;
* если вы пользуетесь доступом по SSH/SFTP, вам следует установить пакет gnome-vfs-module-sftp;

И обратное: если вы /не/ пользуетесь доступом по протоколам SMB/CIFS, можете попробовать удалить libsmbclient :) аналогично, если вам не нужна функциональность клиента SSH, можете попробовать удалить openssh-clients :)

Новая версия

gnome-sisyphus-default

требует эти два модуля.

gnome-sisyphus-minimal

*не требует* их.

11.01.2007

В /i/S отправляется маленькая часовая бомба в виде пары пакетов

librsvg

-2.16.1-alt2 и

librsvg-gnome

-2.16.1-alt2...

Бомба обезврежена благодаря сапёру ldv@. Пакета librsvg-gnome в репозитории больше нет, он оказался неустанавливаемым.